%global install_loc  %{_datadir}/eclipse/dropins/%{pkgname}
%global eclipse_base %{_libdir}/eclipse

%global pkgname      texlipse

Name:           eclipse-%{pkgname}
Version:        1.3.0
Release:        1.20090616cvs%{?dist}
Summary:        Eclipse-based Latex plugin

Group:          Applications/Engineering
License:        EPL
URL:            http://texlipse.sourceforge.net

Source0:        net.sourceforge.%{pkgname}.tar.gz
# Source1 is used to download Source0
Source1:        eclipse-%{pkgname}-download.sh

Patch0:         eclipse-%{pkgname}-%{version}-pdfpreview.patch
Patch1:         eclipse-%{pkgname}-bin_excludes.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  eclipse-pde
BuildRequires:  java-devel

Requires:       eclipse-platform
Requires:       tex(latex)
Requires:       xdg-utils

# For Preview
Requires:       xdvik

# For Spell-Check (choosing default : English)
Requires:       aspell-en

BuildArch:      noarch

# Ignoring rpmlint warning zero-length for Blank.tex, it is used as example

%description
Texlipse is a plugin that adds Latex editing support for the
popular Eclipse Java IDE.

Key features include:
    syntax highlight, command completion, bibliography completion,
    outline navigation and automatic building.

%prep
%setup -q -c

%patch0 -p1 -b .pdfreview

# Remove unneccessary files
%patch1 -p0 -b .exclude

find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;

%build

%{eclipse_base}/buildscripts/pdebuild

%install
%{__rm} -rf %{buildroot}

%{__install} -d -m 755 %{buildroot}%{install_loc}

unzip -d %{buildroot}%{install_loc} -q build/rpmBuild/net.sourceforge.%{pkgname}.zip

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{install_loc}


%changelog
* Tue Jun 16 2009 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 1.3.0-1.20090616cvs
- Initial Fedora Package

